# OAuthProxy is usually served from the same domain as the service that
# uses it for OAuth2 integration. Make sure that the session cookie does
# not conflict with any other cookies!
SESSION_COOKIE_NAME = 'oauth-session'

# URLs of the OAuth2-based identity provider
OAUTH2_AUTH_URL = 'http://localhost:5001/oauth2/authorize'
OAUTH2_TOKEN_URL = 'http://localhost:5001/oauth2/token'
OAUTH2_USERINFO_URL = 'http://localhost:5001/oauth2/userinfo'

# CSRF protection
SESSION_COOKIE_SECURE=True
SESSION_COOKIE_HTTPONLY=True
SESSION_COOKIE_SAMESITE='Strict'
